summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorOz Tiram <oz.tiram@gmail.com>2020-02-23 09:58:42 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-02-27 15:54:42 +0200
commit86c2e1a6cad7b0269c0d14e68b5bc0ea4310f968 (patch)
tree232a587b79dd40d53c4f5b438ee4e2143f6444c5
parentdev-libs/libuev: drop old versions (diff)
downloadgentoo-86c2e1a6cad7b0269c0d14e68b5bc0ea4310f968.tar.gz
gentoo-86c2e1a6cad7b0269c0d14e68b5bc0ea4310f968.tar.bz2
gentoo-86c2e1a6cad7b0269c0d14e68b5bc0ea4310f968.zip
dev-libs/libuev: bump version to 2.3.1
Package-Manager: Portage-2.3.84, Repoman-2.3.16 Signed-off-by: Oz Tiram <oz.tiram@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/14747 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--dev-libs/libuev/Manifest1
-rw-r--r--dev-libs/libuev/libuev-2.3.1.ebuild23
2 files changed, 24 insertions, 0 deletions
diff --git a/dev-libs/libuev/Manifest b/dev-libs/libuev/Manifest
index c981d716f0a..cd63db86b15 100644
--- a/dev-libs/libuev/Manifest
+++ b/dev-libs/libuev/Manifest
@@ -1,2 +1,3 @@
DIST libuev-2.2.0.tar.xz 245680 BLAKE2B 40d0912dcec56d58863411e034c6ddded3470bc2ea3a9f49d36fa0ef924e9ff206cb96ef93582134881ce8377938688d44cfa04d7e533321baf7cfd754f0dff0 SHA512 700c91100c61af2101a6d1756eed97aaf51d6b1dc3a59f90f668d8bb6e3d817aa6f765af5acbbdaeccd4382a97c8e99d2a13ad679fc8582891e0546baa6f001f
DIST libuev-2.3.0.tar.xz 247932 BLAKE2B dea136cbd34788b7156a5ce1b8390467fde77a21b6fb4c7b27068b87254eb42034579bcaed3228dcfacd00b320668db915557230ebbb8da9487ade2359a5fabe SHA512 dc6cd2d1df5336027d8df77fda17b9d9521d955ffa013a5e83958d6b4f981f14f5b0caac3e68e4fa4a8a00bbe8001a18de54ebc441b4231a2d17600c762f80d2
+DIST libuev-2.3.1.tar.xz 247596 BLAKE2B b2d6a7034aa27a80c17438e4329cba59bc4f047b2879662f9900e886f13a948f2c507732d5c5a4abbb130e42af9ba8a935724d1542f3c929a60198889ac7cce9 SHA512 bd463604a89f5bd3e749375f450b376ed1d57b1195b69a5bcfd247fe92c4d42d245bbce9a7950f5aa5a13ce75abeeee028073b7d4356b7770d8821aa501113a9
diff --git a/dev-libs/libuev/libuev-2.3.1.ebuild b/dev-libs/libuev/libuev-2.3.1.ebuild
new file mode 100644
index 00000000000..c4a3bb57a11
--- /dev/null
+++ b/dev-libs/libuev/libuev-2.3.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A collection of useful BSD APIs"
+HOMEPAGE="https://github.com/troglobit/libuev"
+SRC_URI="https://github.com/troglobit/${PN}/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs"
+
+src_configure() {
+ econf --enable-static=$(usex static-libs)
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+ rm "${D}/usr/share/doc/${PF}/LICENSE" || die
+}